<?php

namespace App\Http\Controllers;
date_default_timezone_set('America/Mexico_city');
use Illuminate\Http\Request;
use Illuminate\Session\SessionManager;
use Illuminate\Http\UploadedFile;
use Illuminate\Support\Facades\Storage;
use App\Mail\EnvioMails;//Archivo PHP que se creo para el envio de archivos
use App\Mail\ServicioSocial;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Carbon\Carbon;
use App\Actividad;
use App\Alumno;
use App\Autorizacion;
use App\Calendario;
use App\Carrera;
use App\Carta;
use App\Dependencia;
use App\Evaluacion;
use App\EvaluacionAlumno;
use App\EventoCalendario;
use App\Membrete;
use App\Programa;
use App\RenglonEvaluacion;
use App\Reporte;
use App\ReporteEvaluacion;
use App\Respuesta;
use App\Solicitud;
use App\SubirArchivo;
use App\TipoArchivo;
use File;
use put;
use DB;
use PDF;
use Download;
use View;
use App;
use Mail;
use Session;
use csrf_token;
use QrCode;
use Validator;

class LogeoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('login.logeo');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, SessionManager $sm)
    {
        Session::put('nombre', $request['nombre']);
        Session::put('clave', $request['clave']);
        Session::put('dpto', $request['dpto']);//DEPARTAMENTO
        //Session::put('dpto', 1);//DIRECTOR
        //Session::put('dpto', 18);//SUBDIRECTOR
        Session::put('tipo', $request['tipo']);

        if (Session::has('nombre')) {
            if(Session::get('dpto')==1){
                Session::put('departamento', 'Dirección');
            }elseif (Session::get('dpto')==16) {
                Session::put('departamento', 'Gestión Tecnológica y Vinculación');
            }elseif (Session::get('dpto')==18) {
                Session::put('departamento', 'Subdirección de Planeación y Vinculación');
            }elseif (Session::get('dpto')==19) {
                Session::put('departamento', 'Subdirección de Servicios Administrativos');
            }elseif (Session::get('dpto')==15) {
                Session::put('departamento', 'Subdirección Académica');
            }

            if(Session::get('tipo')==1){
                Session::put('cargo', 'Jefe');
            }elseif (Session::get('tipo')==2) {
                Session::put('cargo', 'Secretaria');
            }elseif (Session::get('tipo')==3) {
                Session::put('cargo', 'Otro');
            }
            return 'true';
        }else{
            return 'false';
        }
        
        
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy()
    {
        Session::flush();
        return response()->json(['exito'=>'exito']);
    }

    /*public function ran(){
        $r = rand(6,999999);
        $color ='#'.$r;
        dd($color);
    }*/
}
